#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("TAMGIAC.INP");
	ofstream f2("TAMGIAC.OUT");
	int a,b,c;
	f1>>a>>b>>c;
	float p=(a+b+c)/2.0;
	if(a+b>c && b+c>a && c+a>b)
	{
		f2<<"YES"<<endl;
		f2<<setprecision(2)<<fixed<<sqrt(p*(p-a)*(p-b)*(p-c));
	}
	else{f2<<"NO";}
	f1.close();
	f2.close();
	return 0;
}
